{
	inputs = {
    	nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
		apple-fonts.url = "github:Lyndeno/apple-fonts.nix";
		apple-emoji.url = "github:oxcl/apple-emoji-nix";

    	ags = {
      		url = "github:Aylur/ags";
      		inputs.nixpkgs.follows = "nixpkgs";
    	};

    	home-manager = {
      		url = "github:nix-community/home-manager/release-24.11";
      		inputs.nixpkgs.follows = "nixpkgs";
    	};

    	fingerprint-sensor = {
      		url = "github:ahbnr/nixos-06cb-009a-fingerprint-sensor/24.11";
      		inputs.nixpkgs.follows = "nixpkgs";
		};
	};

  	outputs = { self, ... }: {
    	nixosConfigurations = import ./hosts { inherit self; };
  	};
}
