{
  	imports = [
    	./hardware-configuration.nix
    	./modules.nix
    	./services.nix
    	./programs.nix
    	./users.nix
		./networking.nix
		./fonts.nix
	];

	nix.settings.experimental-features = [ "nix-command" "flakes" ];
	nix.gc = {
		automatic = true;
		dates = "weekly";
		options = "--delete-old";
	};

  	nixpkgs.config.allowUnfree = true;
  
  	swapDevices = [
    	{
      		device = "/swap";
      		size = 8192;
    	}
  	];
}
